package com.cloudcross.ssp.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.BaseService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.Account;
import com.cloudcross.ssp.pulgin.mybatis.plugin.PageView;



public interface IAccountService extends BaseService<Account>{
	public Account querySingleAccount(String accountName);
	public Account isExist(String accountName);
	/**
	 * 验证用户登陆
	 * @author lanyuan
	 * Email：mmm333zzz520@163.com
	 * date：2014-2-25
	 * @param Account account
	 * @return
	 */
	public boolean addAccount(Account account);
	public boolean addAccountOperator(Account account);
	public boolean addAccountAdvertiser(Account account);
	public Account countAccount(Account account);
	/**
	 * @param account
	 * @param pageView
	 * @return
	 */
	public PageView queryNoMatch(Account account,PageView pageView);
	public boolean updateState(List<Long> idList, int status);
	public boolean editAccount(Account t);
	public List<Account> findExcelAccounts(HashMap<String, Object> paramMap);
	
	
	public int countByParamsOperator(Map<String, Object> paramMap);
	public int countByParamsAdvertiser(Map<String, Object> paramMap);
	
	public List<Account> findByParamsOperator(Map<String, Object> paramMap, Pager pager);
	public List<Account> findByParamsAdvertiser(Map<String, Object> paramMap, Pager pager);
	
	public boolean editAccountOperator(Account t);
	public boolean editAccountAdvertiser(Account t);
	
	public List<Account> findExcelAccountsAdvertiser(HashMap<String, Object> paramMap);
	public List<Account> findExcelAccountsOperator(HashMap<String, Object> paramMap);
}
